#ifndef CRWIDGET_H__
#define CRWIDGET_H__

#include <QWidget>
#include "ui_CRWidget.h"

class CRWidget : public QWidget, public Ui_CRWidget
{
	Q_OBJECT

public:
	/// Constructor
	CRWidget(QWidget *parent = 0);
	/// Destructor
	~CRWidget();

signals:
	/// Signal that is emitted when the lower bound changes
	void LowerBoundChanged(float value);
	/// Signal that is emitted when the upper bound chages
	void UpperBoundChanged(float value);
	/// Signal that is emitted if the check box for the range data changes
	void RangeDataCheckBoxChanged(bool value);

protected slots:
	/// Connected to the lower bound slider
	void LowerBoundSliderChanged(int);
	/// Connected to the upper bound slider
	void UpperBoundSliderChanged(int);
};

#endif // CRWIDGET_H__